<?php
session_start();
if (!isset($_SESSION['user_id']) || $_SESSION['role'] !== 'admin') {
    header('Location: ../auth/login.php');
    exit();
}

require_once '../config/koneksi.php';

// Cek apakah parameter 'id' ada di URL
if (!isset($_GET['id'])) {
    header('Location: ../admin');
    exit();
}

$blogId = $_GET['id'];

// Hapus data blog berdasarkan ID
$stmt = $pdo->prepare("DELETE FROM blogs WHERE id = :id");
$stmt->execute(['id' => $blogId]);

// Redirect setelah berhasil menghapus
header("Location: ../admin");
exit();
?>