<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container <?php echo isset($_SESSION['user_id']) ? 'container-fluid' : ''; ?>">
        <a class="navbar-brand" href="index.php">FixPonsel</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ms-auto">
                <?php if (isset($_SESSION['user_id'])): ?>
                    <!-- Menampilkan menu untuk pengguna yang sudah login -->
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo ($_SESSION['role'] == 'admin') ? '../admin' : '../dashboard'; ?>">Dashboard</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="../services.php">Layanan</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="../prices.php">Harga</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="../blog.php">Blog</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="../contact.php">Kontak</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="../testimonials.php">Testimoni</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/logout">Logout</a>
                    </li>
                <?php else: ?>
                    <!-- Menampilkan menu untuk pengguna yang belum login -->
                    <li class="nav-item">
                        <a class="nav-link" href="services.php">Layanan</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="prices.php">Harga</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="blog.php">Blog</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="contact.php">Kontak</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="testimonials.php">Testimoni</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="auth/login.php">Login</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="auth/register.php">Register</a>
                    </li>
                <?php endif; ?>
            </ul>
        </div>
    </div>
</nav>