<?php
session_start();
?>

<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>FixPonsel - Servis Handphone Profesional</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Orbitron:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="assets/css/style.css">
</head>
<body class="bg-dark text-light">
    <?php include('includes/navbar.php'); ?>

    <!-- Hero Section -->
    <section class="hero text-center py-5">
        <h1 class="display-4 text-neon">Selamat datang di FixPonsel</h1>
        <p class="lead">Servis Handphone Terpercaya dengan Teknologi Terbaru</p>
    </section>

    <!-- Layanan Section -->
    <section id="services" class="text-center py-5">
        <h2 class="display-5 text-neon">Layanan Kami</h2>
        <div class="container">
            <div class="row">
                <div class="col-md-4">
                    <div class="service-box">
                        <h4>Perbaikan Layar</h4>
                        <p>Perbaikan layar handphone dengan hasil terbaik dan harga terjangkau.</p>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="service-box">
                        <h4>Penggantian Baterai</h4>
                        <p>Penggantian baterai handphone untuk performa maksimal.</p>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="service-box">
                        <h4>Servis Lainnya</h4>
                        <p>Perbaikan masalah lain seperti kamera, port charger, dan lainnya.</p>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <?php include('includes/footer.php'); ?>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>