<?php
session_start();
?>

<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Testimoni - FixPonsel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Orbitron:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="assets/css/style.css">
</head>
<body class="bg-dark text-light">
    <?php include('includes/navbar.php'); ?>

    <!-- Testimonials Section -->
    <section class="testimonials py-5">
        <div class="container">
            <h2 class="display-5 text-center text-neon">Testimoni Pelanggan</h2>
            <p class="text-center text-muted">Lihat apa yang pelanggan kami katakan tentang layanan FixPonsel.</p>

            <div class="row">
                <!-- Testimonial 1 -->
                <div class="col-md-4">
                    <div class="testimonial-box bg-dark text-light p-4">
                        <p class="lead">"Layanan yang cepat dan hasil yang memuaskan! Layar handphone saya kembali seperti baru." - <strong>Andi</strong></p>
                    </div>
                </div>
                <!-- Testimonial 2 -->
                <div class="col-md-4">
                    <div class="testimonial-box bg-dark text-light p-4">
                        <p class="lead">"FixPonsel selalu memberikan solusi terbaik. Sangat recommended untuk perbaikan handphone!" - <strong>Siti</strong></p>
                    </div>
                </div>
                <!-- Testimonial 3 -->
                <div class="col-md-4">
                    <div class="testimonial-box bg-dark text-light p-4">
                        <p class="lead">"Proses servis yang sangat mudah dan harga yang sangat terjangkau!" - <strong>Riko</strong></p>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <?php include('includes/footer.php'); ?>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>